# Class AccountAgeWitness

#### Hierarchy

- unknown
  - AccountAgeWitness

- Defined in src/protobuf/pb_pb.d.ts:2937
- Defined in src/protobuf/pb_pb.d.ts:2954

#####
Index

### Constructors

constructor

### Methods

getDate
getHash
getHash_asB64
getHash_asU8
serializeBinary
setDate
setHash
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new AccountAgeWitness(): AccountAgeWitness

- #### Returns AccountAgeWitness

  Inherited from jspb.Message.constructor

## Methods

### getDate

- getDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2943

### getHash

- getHash(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2938

### getHash_asB64

- getHash_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2940

### getHash_asU8

- getHash_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2939

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2946

### setDate

- setDate(value: number): AccountAgeWitness

- #### Parameters

  - ##### value: number

  #### Returns AccountAgeWitness

  - Defined in src/protobuf/pb_pb.d.ts:2944

### setHash

- setHash(value: string | Uint8Array): AccountAgeWitness

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns AccountAgeWitness

  - Defined in src/protobuf/pb_pb.d.ts:2941

### toObject

- toObject(includeInstance?: boolean): AccountAgeWitness.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns AccountAgeWitness.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2947

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): AccountAgeWitness

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AccountAgeWitness

  - Defined in src/protobuf/pb_pb.d.ts:2950

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AccountAgeWitness, reader: BinaryReader): AccountAgeWitness

- #### Parameters

  - ##### message: AccountAgeWitness

  - ##### reader: BinaryReader

  #### Returns AccountAgeWitness

  - Defined in src/protobuf/pb_pb.d.ts:2951

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: AccountAgeWitness, writer: BinaryWriter): void

- #### Parameters

  - ##### message: AccountAgeWitness

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2949

### `Static` toObject

- toObject(includeInstance: boolean, msg: AccountAgeWitness): AccountAgeWitness.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AccountAgeWitness

  #### Returns AccountAgeWitness.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2948

Generated using TypeDoc